# SIPOptions Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPOptions:

[legend]
Collaboration diagram for SIPOptions:
[legend]

## Public Member Functions

| SIPOptions (SIPEndPoint &endpoint, const Params &params)
| SIPOptions (SIPConnection &conn, const Params &params)
virtual SIPTransaction * | CreateDuplicate () const

## Protected Member Functions

void | Construct (const Params &params)

## Data Structures

struct | Params

## Constructor & Destructor Documentation

SIPOptions::SIPOptions | ( | SIPEndPoint & | endpoint,
|  | const Params & | params |
| ) |  |  |

SIPOptions::SIPOptions | ( | SIPConnection & | conn,
|  | const Params & | params |
| ) |  |  |

## Member Function Documentation

void SIPOptions::Construct | ( | const Params & | params | ) | `[protected]`

virtual SIPTransaction* SIPOptions::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

The documentation for this class was generated from the following file:

- sippdu.h